package com.mayi.fastdevelop.web;

import android.content.Intent;

import com.gc.call.CallImmediatelyHandlerTarget;
import com.gc.call.CallParticipationBean;
import com.gc.call.CallReturnBean;


//跳转H5页面
public class GoWebCallTarget extends CallImmediatelyHandlerTarget {

    @Override
    public String getTag() {
        return "web_goWeb";
    }

    @Override
    public CallReturnBean onHandle(CallParticipationBean bean) {
        Intent intent = new Intent(bean.getContext(), BaseWebActivity.class);
        intent.putExtra("url", bean.getParameter().optString("url"));
        bean.getContext().startActivity(intent);
        return null;
    }
}
